WP5HeaderFooterGroup Class Reference

`#include <WP5HeaderFooterGroup.h>`

Inheritance diagram for WP5HeaderFooterGroup:

## Public Member Functions

| WP5HeaderFooterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5HeaderFooterGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Private Member Functions

| WP5HeaderFooterGroup (const WP5HeaderFooterGroup &)
WP5HeaderFooterGroup & | operator= (const WP5HeaderFooterGroup &)

## Private Attributes

unsigned char | m_occurrenceBits
std::shared_ptr< WP5SubDocument > | m_subDocument

## Additional Inherited Members

Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## WP5HeaderFooterGroup() [1/2]

WP5HeaderFooterGroup::WP5HeaderFooterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP5HeaderFooterGroup().

## ~WP5HeaderFooterGroup()

WP5HeaderFooterGroup::~WP5HeaderFooterGroup | ( |  | ) |

override

## WP5HeaderFooterGroup() [2/2]

WP5HeaderFooterGroup::WP5HeaderFooterGroup | ( | const WP5HeaderFooterGroup & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP5HeaderFooterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP5VariableLengthGroup.

## operator=()

WP5HeaderFooterGroup & WP5HeaderFooterGroup::operator= | ( | const WP5HeaderFooterGroup & |  | ) |

private

## parse()

void WP5HeaderFooterGroup::parse | ( | WP5Listener * | listener | ) |

override virtual

Implements WP5Part.

## Member Data Documentation

## m_occurrenceBits

unsigned char WP5HeaderFooterGroup::m_occurrenceBits

private

Referenced by _readContents(), parse(), and WP5HeaderFooterGroup().

## m_subDocument

std::shared_ptr<WP5SubDocument> WP5HeaderFooterGroup::m_subDocument

private

Referenced by _readContents(), parse(), and WP5HeaderFooterGroup().

The documentation for this class was generated from the following files:

- WP5HeaderFooterGroup.h
- WP5HeaderFooterGroup.cpp